<em nz-icon
   class="menu__item--btn"
   nz-button
   nzType="more"
   nzTheme="outline"
   nzTrigger="click"
   nz-dropdown
   [nzDropdownMenu]="menu"
></em>
<nz-dropdown-menu #menu="nzDropdownMenu">
  <ul nz-menu class="btn__action-group">
    <li
      nz-button
      nz-menu-item
      [nzDisabled]="status && status !== constant.STATUS_OBJ.FINANCIAL_ACCOUNTANT_IS_PROCESSING
                  && status !== constant.STATUS_OBJ.FINANCIAL_ACCOUNTANT_RECEIVED
                  && status !== constant.STATUS_OBJ.WAIT_APPROVE
      "
      (click)='openEdit(registerId, status)'
      *ngIf='showEdit && (showApprove || status <= constant.STATUS_OBJ.WAIT_APPROVE || !isCheckApprove)'
    >
      <div class="menu__item">
        <em nz-icon nzType="edit" nzTheme="outline" style="margin-right: 10px"></em>
        <span>{{'personalTax.label.edit' | translate}}</span>
      </div>
    </li>
    <li
      nz-button
      nz-menu-item
      (click)='requestExportInvoice(registerId, invoiceStatus)'
      *ngIf='showInvoiceRequest'
      [nzDisabled]="invoiceStatus !== null"
    >
      <div class="menu__item">
        <em nz-icon nzType="send" nzTheme="outline" style="margin-right: 10px"></em>
        <span>{{'personalTax.label.invoiceRequest' | translate}}</span>
      </div>
    </li>
    <li
      nz-button
      nz-menu-item
      (click)='openDetail(registerId)'
      *ngIf='showDetail'
    >
      <div class="menu__item">
        <em nz-icon nzType="eye" nzTheme="outline" style="margin-right: 10px"></em>
        <span>{{'personalTax.label.detail' | translate}}</span>
      </div>
    </li>
    <li
      nz-button
      nz-menu-item
      [nzDisabled]="status > constant.STATUS_OBJ.WAIT_APPROVE"
      (click)='approveById(registerId, status)'
      *ngIf='showApprove'
    >
      <div class="menu__item">
        <em nz-icon nzType="check" nzTheme="outline" style="margin-right: 10px"></em>
        <span>{{'personalTax.label.approve' | translate}}</span>
      </div>
    </li>
    <li
      nz-menu-item
      nz-button
      [nzDisabled]="status !== constant.STATUS_OBJ.WAIT_APPROVE"
      (click)="openRejectById(registerId, status)"
      *ngIf='showApprove'
    >
      <div class="menu__item">
        <em nz-icon nzType="close" nzTheme="outline" style="margin-right: 10px"></em>
        <span>{{'personalTax.label.reject' | translate}}</span>
      </div>
    </li>
    <li
      nz-button
      nz-menu-item
      (click)="deleteById(registerId)"
      *ngIf='showDelete && (showApprove || status <= constant.STATUS_OBJ.WAIT_APPROVE || !isCheckApprove)'
    >
      <div class="menu__item">
        <em nz-icon nzType="delete" nzTheme="outline" style="margin-right: 10px"></em>
        <span>{{'personalTax.label.delete' | translate}}</span>
      </div>
    </li>
  </ul>
</nz-dropdown-menu>

